Changes

Jump to: navigation, search

Fr:Manuel wiki pour Gramps 5.1 - Fenêtre principale

12,920 bytes removed, 12:04, 10 April 2021
Mise à jour problèmes GUI avec suppression importantes sur différentes alertes
== Filtres ==
[[Image:Side-filt_34_fr.png|right|thumb|350px450px|Fig. {{#var:chapter}}.{{#vardefineecho:figure|{{#expr:{{#var:figure}}+1}}}} Filtrage activé]]
Les bases de données généalogiques peuvent contenir des informations sur de nombreux individus, familles, lieux et objets. Comme les longues énumérations sont suceptibles d'être une longue liste difficile à traiter mentalement. Gramps vous propose deux moyens différents pour contrôler cette situation en vous permettant de filtrer une liste pour une gestion adaptée.
Plus de détails sur le fonctionnement des filtres se trouve au chapitre [[Fr:Manuel_wiki_pour_Gramps_5.1_-_Les_filtres|Filtres]].
{{man tip| Rechercher ou versus filtrer|Rechercher trouve les correspondances exactes. Si la date affichée est « 1 Jan 2000 » une recherche sur « 1/1/2000 » va échouer, mais un filtrage sur « 1/1/2000 » aboutiraparce que la correspondance se fait sur la valeur de la date et non son format.}}
Quand Gramps ouvre une base de donnéesun arbre familial, aucun filtrage n'est actif. Dans la vue des individus, tout le monde est listé par défaut.
{{-}}
==Lors dProblème ou dysfonctionnement de l'un problèmeinterface==
Parfois Si l'interface utilisateur (ce qu'il se produit quelque chose d'inattendu, soit parce que vous demandez passe à Gramps de faire quelque chose que le programme ne sait pas faire pour l'instantécran) se comporte différemment de la description de ce guide, ou soit parce qu'il y a vous pouvez avoir un problème que les développeurs de Gramps avait anticipé, d'installation ou soit parce qu'il a une erreur dans le code de Gramps.Cette section explique quoi faire lorsque quelque chose d'inattendu se produitcompatibilité.
=== Alertes ===Il est probable que ce problème a déjà été rencontré et qu'une solution a été identifiée.
Une alerte est une fenêtre de dialogue qui apparaît lorsque Gramps a besoin de vous transmettre un message important concernant une erreur ou une mise Regardez les pages sur les [[:Category:Troubleshooting|problèmes]] (en garde qui peut potentiellement amener à des situations ou conséquences hasardeusesanglais).
La plupart sont descriptives et sont auto-suffisante, et le même type d'alertes existe pour toutes les autres applications. Ceci n'est pas détaillé dans cette sectionAu cas où… la page [[Recover_corrupted_family_tree/fr|Comment je récupère mon arbre familial]] en français.
Par ailleurs, certaines alertes nécessitent des actions plus compliquées, ainsi décrites ci-dessous.----{| align="left"| [[Image:Need_to_upgrade_alert_python-42-fr.png|300px|thumb|left|Fig. {{#var:chapter}}.{{#vardefineecho:figure|{{#expr:{{#var:figure}}+1}}}} Boîte de dialogue d'alerte affichant la nécessité de mettre à niveau sa base de données]]| [[Image:Need_to_upgrade_alert_schema-42-fr.png|300px|thumb|left|Fig. {{#var:chapter}}.{{#vardefineecho:figure|{{#expr:{{#var:figure}}+1}}}} Boîte de dialogue d'alerte affichant la nécessité de mettre à niveau sa base de données]]|} Ces dialogues apparaîssent si vous essayez d'ouvrir un Arbre Familial créé avec une version précédente de Gramps depuis une nouvelle version. Si vous avez toujours cette ancienne version ne trouvez pas de Grampssolution dans ces pages, alors vous devriez :* annuler et fermer la nouvelle version de Gramps,* ouvrir l'Arbre Familial avec la précédente version de Gramps,* exporter votre Arbre Familial au format Gramps XML ou au format paquet Gramps (voir [[Gramps_5.1_Wiki_Manual_-_Manage_Family_Trees/fr#Exportation_aux_formats_Gramps|Exportation aux formats Gramps]]),* ouvrir votre Arbre Familial dans la nouvelle version de Gramps et cliquer sur {{man button|Mettre envoyez une description du problème à jour maintenant}} dans ce dialogue.{{-}}----[[Image:Cannot_open_database.png|300px|thumb|left|Fig. {{#var:chapter}}.{{#vardefineecho:figure|{{#expr:{{#var:figure}}+1}}}} Boîte de dialogue d'alerte affichant une erreur d'environnement de la base communauté générale de données]] As explained in the dialogue, the Family Tree was probably created with an old version of the Berkeley database program. This is not quite the same thing as an old version of the Gramps program, because the version of the Gramps program and the version of the Berkeley database are independent. However, the effect is somewhat the same. As suggested in the dialogue, if you have the old version of Gramps and its support software, then you should:* cancel this dialogue,* open the Family Tree with the previous version of Gramps,* export your family tree in Gramps XML database export format or Gramps package export format (see [[Gramps_5.1_Wiki_Manual_-_Manage_Family_Trees#Export_into_Gramps_formats|Export into Gramps formats]]),* start the new version of Gramps,* open the 'Manage Family Tree' dialogue,* click on {{man button|new}} and create a new Family Tree,* load the new Family Tree* Import the Gramps XML or Gramps package. Alternatively, it may be possible to use the recovery tools. See 'obtain the bsddb recovery tools' under [[Recover corrupted family tree]]{{-}}----[[Image:Low_level_database_corruption-42-fr.png|300px|thumb|left|Fig. {{#var:chapter}}.{{#vardefineecho:figure|{{#expr:{{#var:figure}}+1}}}} Boîte de dialogue d'alerte affichant une corruption de par la base de données]] This dialogue appears when a problem is detected with the underlying database that supports Family Trees.* close the dialogue,* click on the Family Tree Manager,* select the Family Tree you were trying to open,* the {{man button|Repair}} button should be available; click on it,* once the Family Tree has been repaired it should be possible to open it in the normal way. If this does not work, try 'obtain the bsddb recovery tools' under [[Recover corrupted family tree]]{{-}}----[[Image:DbDowngradeError-42-fr.png|300px|thumb|left|Fig. {{#var:chapter}}.{{#vardefineecho:figure|{{#expr:{{#var:figure}}+1}}}} Boîte de dialogue d'alerte affichant une différence de version de la base de données]] Effectuez l'action suggérée.{{-}}----[[Image:DbVersionError.png|300px|thumb|left|Fig. {{#var:chapter}}.{{#vardefineecho:figure|{{#expr:{{#var:figure}}+1}}}} Dialogue showing DB Version Error]] Effectuez l'action suggérée.{{-}}----[[Image:RunDatabaseRepair_fr.png|300px|thumb|left|Fig. {{#var:chapter}}.{{#vardefineecho:figure|{{#expr:{{#var:figure}}+1}}}} Dialogue showing Run Database Repair]] Effectuez l'action suggérée.{{-}} === Mises en garde === Si Gramps détecte une erreur mineure, ou souhaite vous notifier d'un événement dans le programme, il affichera un bouton d'avertissement, comme illustré ci-dessous. Ce bouton est affiché durant 180 secondes, donc si vous le voyez n'hésitez pas à cliquer immédiatement dessus pour lire le message.[[Image:warning_button_fr.png|750px|thumb|center|Fig. {{#var:chapter}}.{{#vardefineecho:figure|{{#expr:{{#var:figure}}+1}}}} Fenêtre principale de Gramps avec bouton d'avertissement]]{{-}}Si vous cliquez sur le bouton d'avertissement, une boîte de dialogue apparaît avec les 20 derniers messages. [[Logging_system|Plus de détails]][[Image:warning_messages_fr.png|750px|thumb|center|Fig. {{#var:chapter}}.{{#vardefineecho:figure|{{#expr:{{#var:figure}}+1}}}} Fenêtre principale de Gramps affichant les messages]]{{-}} Les événements vraiment problématiques provoquent l'affichage de boîtes de dialogue d'erreur décrivant les instructions à suivre. ==== Locale warnings ==== Sometimes there is a problem with the language you have chosen.  If you have installed Gramps using your platform's standard installation method (Package manager/AIO installer/Application package) and are using your platform's built-in mechanism (System Setting/Control Panel/System Preferences) to choose the language/sort order/formats you are running in, then these errors should not occur, and may mean there is a problem in Gramps. However, if you have set the language/sort order/formats manually by setting the 'environment' see [[Gramps_5.1_Wiki_Manual_-_Getting_started#Languages| languages]], particularly if you are running Gramps from the command line, then there may be a problem with what you have typed in. The message (only part of which is shown below) should help you to understand where the error is. * "Date parser for '%s' not available, using default"* "Date displayer for '%s' not available, using default"* "Family relationship translator not available for language '%s'. Using 'english' instead."* 'Unable to determine your Locale, using English'* "Localization library libintl not on %PATH%, localization will be incomplete"* "No translations for %s were found, setting localization to U.S. English"* "Unable to create collator: %s"* "No language provided, using US English"* "No usable languages found in list, using US English"* "None of the requested languages (%s) were available, using %s instead" ==== Module not loaded warnings ==== The Gramps application contains many different 'modules'. Some of these modules are required for Gramps to run at all; some are 'strongly recommend', and some are optional. If you have installed Gramps using your platform's standard installation method (Package manager/AIO installer/Application package) then the builder of that package will have decided which modules are present. He must include all the required modules, because otherwise Gramps will not run, but he can choose which of the recommended and optional packages he includes. Consult the documentation for your package (‘Ha Ha Only Kidding’) to determine which modules are included. If you try to do something that needs a module that is not included, then you will get a warning like the ones below (only the first part of the message is included). What you can do about it depends on your platform: '''Linux'''You should be able to install the package using your distribution's standard Package Manager or the GUI interface to the Package Manager. However, in some cases you will need to build the module from source. '''MS Windows and Mac OS X'''The MS Windows AIO installer and the Max OS X Application bundle come with certain modules built in. It is not possible for the normal user to add further modules. Therefore, if you find a module that you particularly feel should be included you should post on the Gramps [[Contact#Mailing_lists|mailing list]] (probably the devel list) explaining why you feel its omission is a mistake. * "WARNING: PIL module not loaded. "* "ICU not loaded because %s. Localization will be impaired. "* "OsmGpsMap module not loaded. "* "GExiv2 module not loaded. "* "Webkit module not loaded. "* "PIL (Python Imaging Library) not loaded. "* "GtkSpell not loaded. " ==== Configuration warnings ==== Sometimes it is worth just deleting the old configuration files. TBD instructions on how to do this. * "Importing old key file 'keys.ini'..."* "Done importing old key file 'keys.ini'"* "Can't find filter %s in the defined custom filters" * "Number of arguments does not match number of " +* "Value '%(val)s' not found for option '%(opt)s'"* "Unable to open recent file %s because %s",* "WARNING: ignoring old key '%s'"* "WARNING: ignoring key with wrong type "* "Failed to parse doc options"* "Skipped a line in the addon listing: " * "Failed to load gramplets from %s because %s" === Erreurs === Les problèmes les plus sérieux feront apparaite une fenêtre avec de possibles solutions et les démarches à entreprendre. Ainsi qu'une explication si Gramps s'arrête soudainement, ou si Gramps ne démarre pas. [[File:Error_report_default_dialog-42-fr.png|500px|thumb|left|Fig. {{#var:chapter}}.{{#vardefineecho:figure|{{#expr:{{#var:figure}}+1}}}} Fenêtre affichant une erreur inattendueliste des utilisateurs]] Ce dialogue apparaît quand quelque chose se produit dans l'application Gramps, erreur que les développeurs de Gramps n'avaient pas prévue. Regardez [[How to create a good bug report|comment produire un rapport]]. Si vous pensez savoir comment les développeurs de Gramps pourraient reproduire ce bogue, n'hésitez pas à le mentionner lorsque vous rapportez ce problème. En cliquant sur le bouton C''Rapporter'' une fenêtre va s'ouvrir, et vous pourrez suivre les instructions. [[File:Error_reporting_assistant_report_a_bug-42-fr.png|500px|thumb|left|Fig. {{#var:chapter}}.{{#vardefineecho:figure|{{#expr:{{#var:figure}}+1}}}} Fenêtre affichant est l'assistant de rapport de bogue]]  {{-}}==== Voir tous endroit où nous nous aidons les messages d'erreur ====Parfois, toutes uns les informations nécessaires pour comprendre ce qui ne fonctionne pas correctement apparaîtront à l'écranautres. Par exemple, si vous démarrez Gramps avec une information de votre environement d'installation invalide, alors ce type de fenêtre de mise en garde sera visible : [[Image:Warning_message_GExiv2.png|800px|thumb|left|Fig. {{#var:chapter}}.{{#vardefineecho:figure|{{#expr:{{#var:figure}}+1}}}} Fenêtre affichant un nombre limité de mises en garde]]
{{-}}
En revanche, l'ensemble des mises en garde correspond à :
(process:10929): Gtk-WARNING **: Locale not supported by C library.
Using the fallback 'C' locale.
2013-03-13 18:49:04.376: WARNING: __init__.py: line 69: Date parser for 'xx_XX.UTF-8' not available, using default
2013-03-13 18:49:04.547: WARNING: __init__.py: line 85: Date displayer for 'xx_XX.UTF-8' not available, using default
2013-03-13 18:49:05.949: WARNING: spell.py: line 74: Spelling checker is not installed
2013-03-13 18:49:15.123: WARNING: gramplet.gpr.py: line 400: WARNING: GExiv2 module not loaded. Image metadata functionality will not be available.
Parfois, Gramps ne démarre tout simplement pas et rien n'apparaît à l'écran, ou Gramps s'arrête soudainement ne permettant pas d'afficher quelque chose à l'écran. Dans tous ces cas, vous aurez besoin de faire un peu plus pour voir toutes les erreurs.
 
* Linux
 
Vous pouvez démarrer Gramps en ligne de commande, comme décrit [[Gramps_5.1_Wiki_Manual_-_Getting_Started/fr#Linux|ici]]. Vous verez alors toutes les informations dans le terminal pour diagnostiquer le problème.
 
* MS Windows
 
tbd
 
* Mac OS X
 
Vous pouvez consulter les messages affichés par l'application Console et sélectionner Gramps.
 
For example, one of the early alpha releases of Gramps 5.1.0 just would not start and displayed nothing on the screen. However by opening the Console application, and typing Gramps in the filter at the top right hand corner some diagnostic information appeared. (Actually we typed "gramps[" because there were some other messages that were not relevant, but it wouldn't matter if they were included as well).
[[Image:Console_output.png|1000px|thumb|left|Fig. {{#var:chapter}}.{{#vardefineecho:figure|{{#expr:{{#var:figure}}+1}}}} Console output]]
{{-}}
En appuyant sur la touche Maj pour sélectionner tous les messages pertinents et en les copiant, nous obtenons :
01/03/2013 00:08:02 [0x0-0x88088].org.gramps-project.gramps[1867] 2939: ERROR: importer.py: line 51: Could not find any typelib for Gtk
01/03/2013 00:08:05 [0x0-0x88088].org.gramps-project.gramps[1867] Gtk typelib not installed. Install Gnome Introspection, and pygobject version 3.3.2 or later.
01/03/2013 00:08:05 [0x0-0x88088].org.gramps-project.gramps[1867] Gramps will terminate now.
 
Dans ce cas particulier, cela a suffi pour aider le développeur à découvrir le problème.
----
{{-}}
{{man index/fr|Gramps 5.1 Wiki Manual - Getting Started/fr|Gramps 5.1 Wiki Manual - Categories/fr|5.1}}
798
edits

Navigation menu